package cn.hnthyy.thmz.service.impl.his;

import cn.hnthyy.thmz.entity.his.YpOutDetl;
import cn.hnthyy.thmz.mapper.his.YpOutDetlMapper;
import cn.hnthyy.thmz.service.his.YpOutDetlService;
import cn.hnthyy.thmz.vo.YpOutDetlVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description:药品出库服务
 * @author: WANGJIALIANG
 * @time: 2021/8/3 10:46
 */
@Service
public class YpOutDetlServiceImpl implements YpOutDetlService {
    @Autowired
    private YpOutDetlMapper ypOutDetlMapper;

    @Override
    public List<YpOutDetl> queryYpOutDetlPage(YpOutDetl ypOutDetl) {
        return ypOutDetlMapper.selectYpOutDetlPage(ypOutDetl);
    }

    @Override
    public int countYpOutDetl(YpOutDetl ypOutDetl) {
        return ypOutDetlMapper.countYpOutDetl(ypOutDetl);
    }

    @Override
    public List<YpOutDetlVo> queryYpOutDetlDetail(String drawNo) {
        return ypOutDetlMapper.selectYpOutDetlDetail(drawNo);
    }
}
